#define RED		0xF800
#define GREEN	0x7E0
#define BLUE	0x1F
#define YELLOW	0xFFEA
#define	MAGENTA	0xF81F
#define CYAN	0x7FF
#define BLACK	0x00
#define WHITE	0xFFFF

static const unsigned char disctl[9] = {0x4C, 0x01, 0x53, 0x00, 0x02, 0xB4, 0xB0, 0x02, 0x00};
static const unsigned char gcp64_0[29] =
                      {0x11,0x27,0x3C,0x4C,0x5D,0x6C,0x78,0x84,0x90,0x99,0xA2,0xAA,0xB2,0xBA,
                       0xC0,0xC7,0xCC,0xD2,0xD7,0xDC,0xE0,0xE4,0xE8,0xED,0xF0,0xF4,0xF7,0xFB,
                       0xFE};
static const unsigned char gcp64_1[34] =
                     {0x01,0x03,0x06,0x09,0x0B,0x0E,0x10,0x13,0x15,0x17,0x19,0x1C,0x1E,0x20,
                      0x22,0x24,0x26,0x28,0x2A,0x2C,0x2D,0x2F,0x31,0x33,0x35,0x37,0x39,0x3B,
                      0x3D,0x3F,0x42,0x44,0x47,0x5E};
static const unsigned char gcp16[15] = {0x13,0x23,0x2D,0x33,0x38,0x3C,0x40,0x43,0x46,0x48,0x4A,0x4C,0x4E,0x50,0x64};


void lcd_write(unsigned char dat);
void lcd_cmd(unsigned char dat);
void lcd_dat0(unsigned char dat);
void lcd_dat16(unsigned short dat);
void lcd_cspulse(void);
void lcd_init(void);
void fill_screen(unsigned short color);
void put_char(unsigned char x, unsigned char y, unsigned char c);
void pset(char x, char y, unsigned short col);
void drawline(char x1, char y1, char x2, char y2, unsigned short color);
void displayint2(short data, char x, char y);
void displayint4(short data, char x, char y);
void displayint8(long data, char x, char y);
void displaystr(char *text, char x, char y);
